MACHID(1)

NAME
machid: ns32000, i386, pdp11, u3b, u3b2, u3b5, vax - get processor type truth value

SYNOPSIS
ns32000
i386
pdp11
u3b
u3b2
u3b5
vax

DESCRIPTION
The following commands return a true value (exit code of 0) if you are on a processor with the indicated command name:

    ns32000
        True if you are on a Sequent Balance Series computer

    i386
        True if you are on a Sequent Symmetry Series computer

    pdp11
        True if you are on a PDP-11/45 or PDP-11/70

    u3b True if you are on a 3B20 computer

    u3b2
        True if you are on a 3B2 computer

    u3b5
        True if you are on a 3B5 computer

    vax True if you are on a VAX-11/750 or VAX-11/780

The commands that do not apply return a false (non-zero) value. These commands are often used within makefiles (refer to make(1)) and shell procedures (refer to sh(1)) to increase portability.

SEE ALSO
make (1), sh(1), test(1), true(1)